Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Class SyndPersonImpl

    java.lang.Object
      com.sun.syndication.feed.synd.SyndPersonImpl

All Implemented Interfaces:
  Extendable, SyndPerson, Serializable, Cloneable

    public class SyndPersonImpl

extends Object
implements Serializable, SyndPerson

Bean for authors and contributors of SyndFeedImpl feeds and entries.

Author:
  Dave Johnson
See Also:
  Serialized Form

Constructor Summary
`SyndPersonImpl()` For implementations extending SyndContentImpl to be able to use the ObjectBean functionality with extended interfaces.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getEmail()` Returns the person's e-mail address.
`Module` | `getModule(String uri)` Returns the module identified by a given URI.
`List` | `getModules()` Returns the person modules.
`String` | `getName()` Returns the person name.
`String` | `getUri()` Returns the person's URI.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setEmail(String email)` Sets the person's e-mail address.
`void` | `setModules(List modules)` Sets the person modules.
`void` | `setName(String name)` Sets the category name.
`void` | `setUri(String uri)` Sets the person's URI.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyndPersonImpl

    public SyndPersonImpl()

  For implementations extending SyndContentImpl to be able to use the ObjectBean functionality with extended interfaces.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Specified by:
    `clone` in interface `SyndPerson`
  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getName

    public String getName()

  Returns the person name.

  Specified by:
    `getName` in interface `SyndPerson`
  Returns:
    the person name, null if none.

### setName

    public void setName(String name)

  Sets the category name.

  Specified by:
    `setName` in interface `SyndPerson`
  Parameters:
    `name` - the category name to set, null if none.

### getEmail

    public String getEmail()

  Returns the person's e-mail address.

  Specified by:
    `getEmail` in interface `SyndPerson`
  Returns:
    the person's e-mail address, null if none.

### setEmail

    public void setEmail(String email)

  Sets the person's e-mail address.

  Specified by:
    `setEmail` in interface `SyndPerson`
  Parameters:
    `email` - The person's e-mail address to set, null if none.

### getUri

    public String getUri()

  Returns the person's URI.

  Specified by:
    `getUri` in interface `SyndPerson`
  Returns:
    the person's URI, null if none.

### setUri

    public void setUri(String uri)

  Sets the person's URI.

  Specified by:
    `setUri` in interface `SyndPerson`
  Parameters:
    `uri` - the peron's URI to set, null if none.

### getModules

    public List getModules()

  Returns the person modules.

  Specified by:
    `getModules` in interface `Extendable`
  Returns:
    a list of ModuleImpl elements with the person modules, an empty list if none.

### setModules

    public void setModules(List modules)

  Sets the person modules.

  Specified by:
    `setModules` in interface `Extendable`
  Parameters:
    `modules` - the list of ModuleImpl elements with the person modules to set, an empty list or null if none.

### getModule

    public Module getModule(String uri)

  Returns the module identified by a given URI.

  Specified by:
    `getModule` in interface `Extendable`
  Parameters:
    `uri` - the URI of the ModuleImpl.
  Returns:
    The module with the given URI, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.